Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  fichier open office endommagé » Le 18/02/2011, à 22:26

kyncani
Réponses : 38

Je note l'option -FF de zip qui pourrait être utile pour réparer des zip (connaissais pas) smile

#1 Re : -1 »  En route vers KDE SC 4.7 » Le 05/03/2011, à 20:50

kyncani
Réponses : 440

Tuxmachines me semble être neutre concernant les environnements de bureau.
Ceci dit, on voit tellement de sondages donnant gnome ou kde plus utilisé que l'autre que je ne m'avancerai pas trop à dire lequel est en tête.
Même si il est clair que ce sont les deux poids lourds.

#2 Re : -1 »  [CLEF USB] Impossible de la monter : comment la formater ? » Le 30/03/2011, à 21:38

kyncani
Réponses : 5

Avec gparted, *si* la clé fonctionne encore, ce qui n'est peut-être pas le cas (cf. erreur de lecture).

#3 Re : -1 »  [RESOLU] Méthodes "simples" pour lire des fichiers .mov » Le 29/03/2011, à 21:34

kyncani
Réponses : 8

Essaie avec vlc, mplayer, xine ou miro.

#4 Re : -1 »  Supprimer du texte a partir d'un mot » Le 20/03/2011, à 22:12

kyncani
Réponses : 9

Une possibilité en perl tongue

perl -0777 -pi -e 's/onEdge.*//s' nomfichier

#5 Re : -1 »  PAS de SON Je sais plus quoi faire » Le 20/03/2011, à 21:55

kyncani
Réponses : 1

Boot sur un kernel plus récent, par exemple livecd maverick et daily build natty pour voir si tu as du son.
Si c'est le cas, il te faut sans doute des drivers plus récents et donc par exemple chercher du côté d'un ppa kernel pour lucid.

#6 Re : -1 »  mes disque dur ont été renomée » Le 15/03/2011, à 20:22

kyncani
Réponses : 4

sudo rmdir /media/mp3 /media/films
Démonte tes disques puis rebranche les.

#7 Re : -1 »  mes disque dur ont été renomée » Le 15/03/2011, à 22:14

kyncani
Réponses : 4

Quel système de fichiers ? Ntfs ou ext3/ext4 ?

#8 Re : -1 »  Erreur Récupération des données » Le 05/03/2011, à 20:31

kyncani
Réponses : 10
philcayenne a écrit :

run chkdsk/f on Windows then reboot into Windows twice

Il te dit de démarrer windows, lancer "chkdsk /f" et rebooter deux fois.
Si tu n'as pas windows, il y a ntfsfix sous linux.

#9 Re : -1 »  Erreur Récupération des données » Le 05/03/2011, à 21:11

kyncani
Réponses : 10

Le bios, c'est autre chose. Donc autre sujet.

ntfsfix peut être lancé depuis la ligne de commande, mais vu que tu es nouvelle est peu familière de linux, on va faire plus graphique.
Lance l'outil de gestion de packages synaptic et vérifie que tu as bien gparted (utilitaire de partitionnement) et ntfsprogs (utilitaires ntfs) installés.
Lance l'outil de partitionnement (si tu ne le trouves pas dans le menu, tu peux le lancer avec alt+f2 -> gksudo gparted).
Sélectionne ton disque, clic droit sur la partition windows, démonte-la si nécessaire puis reclique droit et il doit y avoir une option vérifier.

#10 Re : -1 »  Erreur Récupération des données » Le 05/03/2011, à 22:33

kyncani
Réponses : 10

Depuis livecd ubuntu :

Lance l'outil de partitionnement (si tu ne le trouves pas dans le menu, tu peux le lancer avec alt+f2 -> gksudo gparted).
Sélectionne ton disque, clic droit sur la partition windows et il doit y avoir une option vérifier.

#11 Re : -1 »  DIsque dur inaccessible » Le 19/02/2011, à 10:31

kyncani
Réponses : 28

Regarde les dernières lignes de "dmesg" après avoir tenté de monter le disque.

#12 Re : -1 »  DIsque dur inaccessible » Le 21/02/2011, à 22:26

kyncani
Réponses : 28

"essayer", il s'agit de booter sur le livecd/liveusb et non pas d'installer un nouveau système (pas touche au disque dur).

Le portable étant sorti après la 10.04, tu peux peut-être essayer avec la 10.10 si la 10.04 ne boote pas correctement. (cause: nouveaux drivers prenant en compte du matériel récent)

#13 Re : -1 »  Playlist d'environ 550 radios Françaises classées et mises à jour » Le 21/02/2011, à 22:58

kyncani
Réponses : 16

Bonjour, je comprend que la playlist n'est plus maintenue ? Dommage sad

#14 Re : -1 »  Problème wifi carte mère asus M4A88T-I » Le 22/02/2011, à 21:54

kyncani
Réponses : 13

Tu as regardé ce que ça donnait avec un daily build de natty ?

#15 Re : -1 »  Problème wifi carte mère asus M4A88T-I » Le 25/02/2011, à 04:40

kyncani
Réponses : 13

http://cdimage.ubuntu.com/daily-live/current/
Prends l'iso, boot en livecd ou liveusb et regarde si le wifi fonctionne.

#16 Re : -1 »  Problème wifi carte mère asus M4A88T-I » Le 26/02/2011, à 04:21

kyncani
Réponses : 13

Bon ben alors un kernel plus récent contient des drivers qui prennent mieux en compte ton matériel.
Plusieurs solutions (aucune parfaite) :
- Tu passes à la version alpha/bêta d'ubuntu (natty) et tu vis avec les bugs (pas forcément super pour un newbie)
- Tu cherches un ppa contenant un kernel récent pour la version d'ubuntu que tu as, maverick (peut-être la solution la plus simple)
- Tu récupère le kernel le plus récent de kernel.org et tu le compiles et le mets en place toi-même (pas forcément nécessaire si une des deux solutions précédentes te convient)

#17 Re : -1 »  Problème wifi carte mère asus M4A88T-I » Le 26/02/2011, à 15:44

kyncani
Réponses : 13

Pas de solution plus simple non.

#18 Re : -1 »  Utilisation du disque -> Système très lent » Le 23/02/2011, à 23:02

kyncani
Réponses : 2

Perso je donne des priorités faibles pour avoir un système réactif : nice -n 20 ionice -c3 schedtool -D -e cp -a SOURCE... REPERTOIRE

Ou alors avec le petit script "supernice" que je me suis fait : supernice cp -a SOURCE... REPERTOIRE

#! /usr/bin/env bash

######################################################################

## Program usage
usage() {
    cat <<EOF
NAME
    supernice - execute a program with the lowest available priority
    superstrong - execute a program with the highest available priority

SYNOPSIS
    $prog COMMAND ...
    $prog PID ...

DESCRIPTION
    supernice will execute a program with the lowest available priority.
    superstrong will execute a program with the highest available priority.

    It can start a new command or alter running processes, if given
    their pids.

AUTHOR
    Yannick Le Saint (kyncani) <y.lesaint@gmail.com>

VERSION
    $version
EOF
}

######################################################################

## Give a message if some binary is missing, like which package to
## install. Only give a warning once per tool.
missing_tool() {
    local t
    local p
    for t in "$@"; do
        echo " $SUPERNICE_WARN_MISSING " | grep -q " $t " && continue
        if type apt-file &>/dev/null; then
            p=`
                apt-file search "bin/$t" \
                | grep "bin/$t\$" \
                | sed "s/:.*//" \
                | sort \
                | uniq \
                | tr '\n' ':' \
                | sed 's/:::*/:/g; s/^://; s/:$//; s/:/ or /g' \
                `
        else
            p=
        fi
        if test "$p" = ""; then
            echo "$prog: $t is missing." >&2
        else
            echo "$prog: $t is missing, you may need to install $p." >&2
        fi
        if test "$SUPERNICE_WARN_MISSING" = ""; then
            export SUPERNICE_WARN_MISSING=" $t "
        else
            export SUPERNICE_WARN_MISSING="$SUPERNICE_WARN_MISSING$t "
        fi
    done
}

## Supernice a running process, given its pid
supernice_this() {
    local ret=true
    local foundtool=false
    if ! echo "$1" | grep -q '^[[:digit:]][[:digit:]]*$'; then
        echo "$prog: not a pid: $1" >&2
        return 1
    fi
    if type renice &>/dev/null; then
        foundtool=true
        if $supernicemode; then
            renice 20 "$1" >/dev/null
        else
            renice -20 "$1" >/dev/null
        fi || ret=false
    else
        missing_tool renice
    fi
    if type ionice &>/dev/null; then
        foundtool=true
        if $supernicemode; then
            ionice -c3 -p"$1"
        else
            ionice -c1 -p"$1"
        fi || ret=false
    else
        missing_tool ionice
    fi
    if type schedtool &>/dev/null; then
        foundtool=true
        if $supernicemode; then
            schedtool -D "$1"
        else
            schedtool -F -p 20 "$1"
        fi || ret=false
    else
        missing_tool schedtool
    fi
    if ! $foundtool; then
        echo "$prog: cannot find neither renice, schedtool nor ionice." >&1
        ret=false
    fi
    $ret
}

######################################################################

## Program name
prog=`basename "$0"`

## Program version
version="1.0.3"

## Supernice mode, false means we're in superstrong mode
supernicemode=

######################################################################

if test $# -lt 1; then
    usage >&2
    exit 1
fi

if test "$1" = "-h" || test "$1" = "--help"; then
    usage && exit || exit 1
fi

case "$prog" in
    supernice) supernicemode=true;;
    superstrong) supernicemode=false;;
    *)
        echo "$prog: should be named supernice or superstrong." >&2
        supernicemode=
        ;;
esac

if echo "$1" | grep -q '^[[:digit:]][[:digit:]]*$'; then
    test "$supernicemode" = "" && exit 1
    ret=true
    for pid in "$@"; do
        supernice_this "$pid" || ret=false
    done
    $ret
else
    test "$supernicemode" = "" || supernice_this $$
    exec "$@"
fi

######################################################################
##
## CHANGELOG
##
## - 02/02/2009,21:59 (version 1.0.3)
##   - Added superstrong mode.
## - 31/01/2009,21:10 (version 1.0.2)
##   - Debian: Nicely tell which packages to install using apt-file.
##   - Change cpu priority before io priority.
## - 26/01/2009,21:28 (version 1.0.1)
##   - Added --help option.
##   - Can now supernice running processes.
##   - Added some documentation.
##   - Added some error message in case no basic tools are found.
## - 26/01/2009,21:11 (version 1.0.0)
##   - Added version and changelog.
##
######################################################################

#19 Re : -1 »  copie de sauvegarde d'un système » Le 21/02/2011, à 22:39

kyncani
Réponses : 17

Moi j'ai fait récemment une sauvegarde+restauration d'un windows 7 avec fsarchiver.
Depuis j'ai juste booté dessus sans réellement l'utiliser et il a l'air de fonctionner.

#20 Re : -1 »  Zip recursif par fichiers [Résolu] » Le 21/02/2011, à 22:36

kyncani
Réponses : 2

Ca ne sert à rien de zipper des jpg, tu ne gagneras rien en place.
Enfin bon : ( for f in *.jpg; do zip -r "${f%.jpg}.zip" "$f"; done )

#21 Re : -1 »  Toujours en UTC malgré ntp » Le 19/02/2011, à 10:15

kyncani
Réponses : 6

Le paramètre UTC de /etc/default/rcS sert à indiquer au système si l'heure du bios doit être stockée en temps universel UTC ou en heure locale. C'est pour que le système puisse restaurer l'heure et la date au démarrage. Met UTC à yes si tu stockes l'heure utc dans le bios et no si tu y stockes l'heure locale.

Le démon ntp sert ensuite à maintenir cette heure exacte, en interrogeant des serveurs de temps pour corriger l'heure système en continue. L'heure système est enregistrée dans le bios à l'arrêt/redémarrage par /etc/init.d/hwclock.sh. La configuration par défaut de ntp devrait fonctionner, rien à changer de ce côté là.

En ce qui concerne l'heure affichée sur ton bureau en revanche, tu dois paramétrer le fuseau horaire et le changement d'heure hiver/été dans ton applet et non pas au niveau du système.


Par exemple, pour moi :
- Je stocke l'heure du bios en temps universel UTC
- J'ai la config par défaut de ntp, qui fonctionne très bien
- Quand je change de fuseau horaire, clic droit sur l'horloge affichée sur le bureau et réglage du nouveau fuseau horaire.

#22 Re : -1 »  Toujours en UTC malgré ntp » Le 21/02/2011, à 03:23

kyncani
Réponses : 6

Il y a deux moyen de régler l'heure. 1) Heure système en utc, réglage des fuseaux horaires au niveau utilisateur. 2) Heure système en heure locale (française).
Moi j'utilise la solution (1), je n'aime pas la (2) parce que c'est le bordel quand tu changes de fuseau horaire. Je crois que windows stocke l'heure du bios en heure locale (à vérifier si c'est toujours le cas).

Le job de ntp, c'est de maintenir l'heure système à jour. L'heure est maintenue à jour en continue sans provoquer d'à-coups.
Si tu stockes l'heure système en utc, tu peux vérifier que ton pc est bien à l'heure comparant le résultat de "date --utc" avec des horloges affichant l'heure utc sur un site internet.

Je n'utilise pas gnome, mais regarde en cliquant gauche ou droit sur l'applet dans les menus qui sont proposés. Ou alors dans un des menus système de préférence de gnome pour choisir le fuseau horaire que tu veux afficher. (Je crois que c'est un menu préférences ou système -> date et heure sous gnome).
Il est possible que tu aies besoin des droits root si gnome change le fuseau horaire directement dans /etc/localtime (je crois que c'est le cas). Dans kde, ce n'est pas le cas. Le choix du fuseau est du niveau utilisateur.

#23 Re : -1 »  [RESOLU] Le suricate se rebelle ! » Le 19/02/2011, à 13:55

kyncani
Réponses : 7

Met l'iso sur une clé usb (il y a des docs sur ubuntu-fr.org) pour éviter tous les problèmes de gravure.

#24 Re : -1 »  [résolu] Existe t-il des fichiers invisibles ? » Le 18/02/2011, à 22:31

kyncani
Réponses : 15

Lance baobab en tant que root (gksudo baobab) et démonte tous tes disques (un disque monté masque l'arborescence sous le point de montage) avant de lancer l'analyse.